Name:           libshout
Version:        1.0.9
Release:	0.%{mysig}
Summary:        icecast source streaming library.

Group:          Libraries/Multimedia
License:        LGPL
URL:            http://www.icecast.org/
Source:         http://developer.icecast.org/libshout/releases/%{name}-%{version}.tar.gz
Patch:		libshout-makefile.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Libshout is a library for communicating with and sending data to an
icecast server.  It handles the socket connection, the timing of the
data, and prevents most bad data from getting to the icecast server.

%package        devel
Summary:        static libraries and header files for %{name} development.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The libshout-devel package contains the header files needed for developing
applications that send data to an icecast server.  Install libshout-devel if
you want to develop applications using libshout.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# docs install in $(prefix)/doc, we don't want that, so don't go into SUBDIRS
%makeinstall SUBDIRS=

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/libshout.so.*

%files devel
%defattr(-,root,root,-)
%doc doc/*.html doc/style.css
%{_libdir}/libshout.a
%{_libdir}/libshout.so
%dir %{_includedir}/shout/
%{_includedir}/shout/shout.h

# -----------------------------------------------------------------------------

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 1.0.9-0.ker.rhel4
- rebuild for RHEL4 (package from FC4 Extras)

* Sun May 22 2005 Jeremy Katz <katzj@redhat.com> - 1.0.9-4
- rebuild on all arches

* Fri Apr  1 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.0.9-3
- Include headers directory entry in -devel package.

* Sat Feb 26 2005 Ville Skyttä <ville.skytta at iki.fi> - 1.0.9-2
- Remove redundant explicit /sbin/ldconfig dependency.

* Wed Jun 04 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.9-0.fdr.1: initial RPM release
